Name:           perl-Term-Animation
Version:        2.6
Release:        10%{?dist}
Summary:        ASCII sprite animation framework

License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/perl-Term-Animation/
Source0:        http://search.cpan.org/CPAN/authors/id/K/KB/KBAUCOM/Term-Animation-2.6.tar.gz

BuildArch:      noarch
# Correct for lots of packages, other common choices include eg. Module::Build
BuildRequires:  perl(Test::Simple)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%{?perl_default_filter}

%description
This module provides a framework to produce sprite animations using ASCII art.
Each ASCII 'sprite' is given one or more frames, and placed into the animation
as an 'animation object'. An animation object can have a callback routine that
controls the position and frame of the object.

If the constructor is passed no arguments, it assumes that it is running full
screen, and behaves accordingly. Alternatively, it can accept a curses window
(created with the Curses new win call) as an argument, and will draw into that
window.

%prep
%setup -q -n Term-Animation-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*

%check


%files
%doc Changes README MIGRATION
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Sat Jan 14 2012 Luis Bazan <lbazan@fedoraproject.org> - 2.6-10
- Add Document MIGRATION

* Tue Aug 30 2011 Luis Bazan <bazanluis20@gmail.com> - 2.6-9
- mass rebuild

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 2.6-8
- Perl mass rebuild

* Tue Jul 12 2011 Luis Bazan <bazanluis20@gmail.com> 2.6-7
- licences to GPL+ or Artistic
- add doc Changes README
- change URL 

* Tue Jul 05 2011 Luis Bazan <bazanluis20@gmail.com> 2.6-6
- Remove OPTIMIZE from noarch packages (unneeded)
- changes to BuildRequires: perl(Test::Simple)
- licences to GPL+

* Tue Jun 28 2011 Luis Bazan <bazanluis20@gmail.com> 2.6-5
- Initial Release


